Bug 142667 - better x86-64 support
better x86-64 support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-12 01:22 EST by Ulrich Drepper
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-130
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 23:13:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for better x86-64 support (6.22 KB, patch)
2004-12-12 01:22 EST, Ulrich Drepper
no flags Details | Diff
32 bit java strace on x86_64 segfault (4.16 KB, text/plain)
2004-12-12 14:49 EST, taj
no flags Details

  None (edit)
Description Ulrich Drepper 2004-12-12 01:22:16 EST
Description of problem:
The x86-64 support is not up to par with the x86 support.  The attached patch
fixes a few problems.  While at it, I sneaked in a few generic fixes.

Version-Release number of selected component (if applicable):
strace-4.5.8-1

How reproducible:
always with the right binaries

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ulrich Drepper 2004-12-12 01:22:16 EST
Created attachment 108397 [details]
patch for better x86-64 support
Comment 2 taj 2004-12-12 14:48:09 EST
I just tried the patch to see if its addressed some issues I've seen
but didnt think too much about.

I've noticed x86_64 strace has issues with i386 support / java /open
office.  

I dont know if this is interesting to you while looking at x86_64.


java typescript will be attached.


Also, strace -f /usr/bin/ooffice cuts short with

[pid   410] mprotect(0x4e320000, 8192, PROT_READ) = 0
[pid   410] mprotect(0x4e1f9000, 4096, PROT_READ) = 0
[pid   410] set_thread_area(0xffffd8a4) = 0
[pid   410] munmap(0xa0000000, 174549)  = 0
[pid   410] chdir("/usr/lib/ooo-1.1/program") = 0
[pid   410] exit_group(0)               = ?
PANIC: attached pid 410 exited
Comment 3 taj 2004-12-12 14:49:12 EST
Created attachment 108412 [details]
32 bit java strace on x86_64 segfault
Comment 4 Ulrich Drepper 2004-12-12 15:01:12 EST
Comment on attachment 108412 [details]
32 bit java strace on x86_64 segfault

This has nothing whatsoever to do with the patch I created.
Comment 5 Ulrich Drepper 2004-12-12 15:02:57 EST
This is not a general discussion about strace on x86-64.  If you have
specific problems, create new, separate bugs.  Stop adding anything
here which is not directly related to the patch.
Comment 6 Roland McGrath 2005-02-01 23:13:49 EST
You really ought to separate patches for different problems, file reports with
real summaries, and include ChangeLog entries with your patches.
I have put these fixes in upstream.
Comment 7 Tim Powers 2005-05-19 17:10:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-131.html

Note You need to log in before you can comment on or make changes to this bug.